# DeleteCidr

## 1. 接口描述

本接口(DeleteCidr)用于删除IPv4 CIDR地址段。

{% hint style="info" %}
**注意事项**

* CIDR 地址段下如果有分配的 EIP，则无法删除该 CIDR 地址段。
* 普通账号删除CIDR后，该资源会直接回收。操作不可逆。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型     | 描述           |
| ------ | -- | ------ | ------------ |
| cidrId | 是  | String | 要删除的CIDR ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除指定的CIDR。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCidr
<Common Request Params>

Request：
{
  "cidrId": "<cidrId>"
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                        | 说明                     |
| ------- | ------------------------------------------ | ---------------------- |
| 404     | INVALID\_CIDR\_NOT\_FOUND                  | CIDR地址段不存在。            |
| 400     | OPERATION\_DENIED\_CIDR\_CREATE\_SOURCE    | 该CIDR来源不支持此操作。         |
| 400     | OPERATION\_DENIED\_CIDR\_HAS\_IP\_IN\_USED | CIDR地址段下有分配的IP，无法进行操作。 |
| 400     | OPERATION\_DENIED\_CIDR\_STATUS            | 指定的CIDR状态不支持该操作。       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/deletecidr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
